import json

import uvicorn
from fastapi import FastAPI
from fastapi.middleware.cors import CORSMiddleware

from model import OperationPlan

app = FastAPI()

app.add_middleware(
        CORSMiddleware,
        allow_origins=["*"],
        allow_credentials=True,
        allow_methods=["*"],
        allow_headers=["*"],
    )


@app.get(
    path="/v1/operation-plan",
    response_model=OperationPlan
)
async def get_operation_plan() -> OperationPlan:
    with open("data.json") as f:
        data = json.load(f)

    return OperationPlan(**data)


@app.get(
    path="/v1/operation-plan/edited",
    response_model=OperationPlan
)
async def get_edited_operation_plan() -> OperationPlan:
    with open("data.json") as f:
        data = json.load(f)

    operation_plan = OperationPlan(**data)

    operation_plan.resourceData[0].eventCount = 1
    operation_plan.resourceData[1].eventCount = 2
    operation_plan.resourceData[1].firstEventId = 2

    operation_plan.eventData[1].resourceId = 2

    return operation_plan


if __name__ == "__main__":
    uvicorn.run(
        app,
        host="127.0.0.1",
        port=8000,
    )