from datetime import date
from enum import Enum
from typing import List

from pydantic import BaseModel


class EOperationPlanEventDataFieldType(str, Enum):
    loaded = "Loaded"
    empty = "Empty"


class OperationPlanEventDataField(BaseModel):
    id: int
    resourceId: int
    name: str
    startTimeMilliseconds: int
    endTimeMilliseconds: int
    type: EOperationPlanEventDataFieldType
    eventColor: str


class OperationPlanShipDataField(BaseModel):
    id: int
    name: str
    startDate: date
    firstEventId: int
    eventCount: int = 0


class OperationPlan(BaseModel):
    resourceData: List[OperationPlanShipDataField]
    eventData: List[OperationPlanEventDataField]
    startDate: date
    endDate: date