import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { HttpClientModule } from '@angular/common/http';

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import { TestCaseComponent } from './components/test-case/test-case.component';
import { BryntumCustomSchedulerComponent } from './components/bryntum-custom-scheduler/bryntum-custom-scheduler.component';
import { BryntumSchedulerProModule } from '@bryntum/schedulerpro-angular';
import { DatePipe, DecimalPipe } from '@angular/common';

@NgModule({
  declarations: [
    AppComponent,
    TestCaseComponent,
    BryntumCustomSchedulerComponent
  ],
  imports: [
    BrowserModule,
    BryntumSchedulerProModule,
    HttpClientModule,
    AppRoutingModule
  ],
  providers: [DatePipe, DecimalPipe],
  bootstrap: [AppComponent]
})
export class AppModule { }
